[Pkg-mc-commits] r405 - trunk/debian

Yury Zaytsev zaytsev-guest at alioth.debian.org
Fri May 7 22:46:03 UTC 2010


Author: zaytsev-guest
Date: 2010-05-07 22:46:02 +0000 (Fri, 07 May 2010)
New Revision: 405

Modified:
   trunk/debian/mc.postinst
   trunk/debian/mc.postrm
   trunk/debian/mc.prerm
   trunk/debian/rules
Log:
Reworked the postinst / postrm scripts and rules.

Now finally the solution to install cons.saver should be canonical. Why
the f*ck cons.saver still is not getting included into the Hardy package
at all in spite of being succesfully compiled and installed by make
escapes my understanding. But I am not sure whether something could be
done about it.

Thanks to #debian-mentors and #ubuntu-devel.



Modified: trunk/debian/mc.postinst
===================================================================
--- trunk/debian/mc.postinst	2010-05-07 19:19:43 UTC (rev 404)
+++ trunk/debian/mc.postinst	2010-05-07 22:46:02 UTC (rev 405)
@@ -1,7 +1,13 @@
-#! /bin/sh
+#!/bin/sh -e
 
-set -e
+export DEB_HOST_GNU_SYSTEM=$(dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
 
+if [ x"$DEB_HOST_GNU_SYSTEM" = "xlinux-gnu" ]; then
+	if ! dpkg-statoverride --list /usr/lib/mc/cons.saver >/dev/null 2>&1; then
+		dpkg-statoverride --update --add root tty 2755 /usr/lib/mc/cons.saver
+	fi
+fi
+
 case "$1" in
 	configure|abort-upgrade)
 		update-alternatives --install /usr/bin/view view /usr/bin/mcview-debian 25 \
@@ -12,3 +18,5 @@
 esac
 
 #DEBHELPER#
+
+exit 0

Modified: trunk/debian/mc.postrm
===================================================================
--- trunk/debian/mc.postrm	2010-05-07 19:19:43 UTC (rev 404)
+++ trunk/debian/mc.postrm	2010-05-07 22:46:02 UTC (rev 405)
@@ -1,6 +1,5 @@
-#! /bin/sh
+#!/bin/sh -e
 
-set -e
 
 case "$1" in
 	purge)
@@ -18,7 +17,15 @@
 
 		rmdir /etc/mc 2>/dev/null || true
 
+		export DEB_HOST_GNU_SYSTEM=$(dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+
+		if [ x"$DEB_HOST_GNU_SYSTEM" = "xlinux-gnu" ]; then
+			dpkg-statoverride --remove /usr/lib/mc/cons.saver
+		fi
+
 	;;
 esac
 
 #DEBHELPER#
+
+exit 0

Modified: trunk/debian/mc.prerm
===================================================================
--- trunk/debian/mc.prerm	2010-05-07 19:19:43 UTC (rev 404)
+++ trunk/debian/mc.prerm	2010-05-07 22:46:02 UTC (rev 405)
@@ -1,7 +1,5 @@
-#! /bin/sh
+#!/bin/sh -e
 
-set -e
-
 case "$1" in
 	remove)
 		update-alternatives --remove editor /usr/bin/mcedit-debian
@@ -10,3 +8,5 @@
 esac
 
 #DEBHELPER#
+
+exit 0

Modified: trunk/debian/rules
===================================================================
--- trunk/debian/rules	2010-05-07 19:19:43 UTC (rev 404)
+++ trunk/debian/rules	2010-05-07 22:46:02 UTC (rev 405)
@@ -21,9 +21,4 @@
 	chmod 755 ./debian/mc/etc/mc/edit.spell.rc
 	chmod 755 ./debian/mc/etc/mc/edit.indent.rc
 
-ifeq ($(DEB_HOST_ARCH_OS), linux)
-	chgrp tty ./debian/mc/usr/lib/mc/cons.saver
-	chmod g+s ./debian/mc/usr/lib/mc/cons.saver
-endif
-
 	rmdir ./debian/mc/usr/share/man/sr/man8




More information about the Pkg-mc-commits mailing list